from os import environ
from typing import List

import pytest

from pyrmv import Client


@pytest.fixture()
def api_token() -> str:
    return environ.get("RMV_TOKEN")


@pytest.fixture()
def api_client(api_token: str) -> Client:
    return Client(api_token)


@pytest.fixture()
def sample_stop_id() -> str:
    return "A=1@O=Frankfurt (Main) Taunusanlage@X=8668765@Y=50113478@U=80@L=3000011@"


@pytest.fixture()
def sample_journey_id() -> str:
    return "1|12709|0|80"


@pytest.fixture()
def sample_origin() -> List[str]:
    return ["50.084659", "8.785948"]


@pytest.fixture()
def sample_destination() -> List[float]:
    return [50.1233048, 8.6129742]
